Group: Sciences/Chemistry
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install libGLU-devel libglvnd-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: A general chemistry lab experiment simulator
Name: genchemlab
Version: 1.0
Release: alt2_40
License: GPL-2.0-or-later
Source0: http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tgz
URL: http://genchemlab.sourceforge.net/
Patch0: gcl-desktop.patch
BuildRequires:  gcc-c++
BuildRequires: libqt3-devel libfreeglut-devel desktop-file-utils
Source44: import.info

%description
GenChemLab is an OpenGL-based application intended to simulate several common 
general chemistry experiments.

%prep
%setup -q 
sed -i 's/\r//' GPL.txt
sed -i 's/\r//' COPYRIGHT.txt
%patch0 -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh; export PATH=%_libdir/qt3/bin:$PATH
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-install \
        --dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/genchemlab.desktop

%files
%doc COPYRIGHT.txt GPL.txt HISTORY.txt README.txt
%{_datadir}/%{name}/
%{_bindir}/genchemlab
%{_datadir}/pixmaps/genchemlab.png
%{_datadir}/applications/genchemlab.desktop

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_40
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_38
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_36
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_35
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_34
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_33
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0-alt2_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0-alt2_31
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_31
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_30
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_29
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_28
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_27
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_26
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_25
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_23
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_22
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_21
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_19
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_18
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_17
- update to new release by fcimport

* Tue Feb 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_16
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_15
- initial fc import

